Subject: bug#10056: 24.0.91; `copy-to-register' does not deactivate the mark

From: Dani Moncayo <[email-masked]>
Date: Thu, 2 Aug 2012 00:07:06 +0200

>> > As for c-indent-line-or-region, I have no opinion on that at all.
>
>> (I'm CC-ing Alan.  Hopefully he has an opinion) This is the current
>> behavior I observe:
>> * If the command has to adjust the indentation of some line(s) in the
>> region, the mark is deactivated at the end of the command.
>> * Else, the mark is not deactivated.
>
>> This behavior is definitely annoying for me: when I mark some fragment
>> of code and type TAB, what I want is that Emacs revise the indentation
>> of code, and correct it if necessary, but in any case, I don't want
>> the mark to remain active.
>
> Have you looked at the code for c-i-l-o-region? At a quick glance, I
> can't see where the distinction is made between indentation adjusted and
> not adjusted.  I don't actually use transient-mark-mode myself, so this
> hasn't annoyed me one way or the other.
>
> Is the distinction there for a reason, or did it just get there by
> accident?  The defun is only several (as opposed to many) years old, so
> the evidence should still be available in the bzr repo.

I'm sorry, I (still) don't have enough knowledge of Emacs to delve
into such questions.

I reported this bug as a mere user, hoping that you (the maintainers),
if agree with my reasoning, make the suitable changes to the program.

In the case at hand, what I reported is quite simple, I think: from
"emacs -Q" (transient mark mode on) visit some C file, select some
fragment of code and type TAB.

Hopefully you'll see the same behavior as me:
* If the code in the region was already well indented, nothing happens
and the mark remains active.
* Else, the code is indented and the mark is deactivated.

What I say is that the mark should be deactivated _always_ at the end
of the command, because the "transient" operation (revise the
indentation of those lines) is done.

This is so obvious to me that I'm surprised of seeing you so
hesitant...  but well, you decide :)

-- 
Dani Moncayo